# HeaderUtils Class Reference
[HTTP related utilities]

Collection of static header functions. More...

Inheritance diagram for HeaderUtils:
[legend]

List of all members.

## Static Public Member Functions

static | redirectRaw ($url)
static | redirectBack ()
static | getParsedURI ()
static | sendCachedHeader ()
static | sendNotCachedHeader ()
static | sendContentLength ($length)
static | sendHttpStatus (HttpStatus $status)
static | isHeaderSent ()
static | forceHeaderSent ()
static | isRedirectSent ()
static | setCacheLifeTime ($cacheLifeTime)
static | getCacheLifeTime ()

## Static Private Member Functions

static | getURI ()

## Static Private Attributes

static | $headerSent = false
static | $redirectSent = false
static | $cacheLifeTime = 3600

## Detailed Description

Collection of static header functions.

Definition at line 17 of file HeaderUtils.class.php.

## Member Function Documentation

static HeaderUtils::forceHeaderSent | ( |  | ) | `[static]`

Definition at line 114 of file HeaderUtils.class.php.

static HeaderUtils::getCacheLifeTime | ( |  | ) | `[static]`

Definition at line 129 of file HeaderUtils.class.php.

static HeaderUtils::getParsedURI | ( |  | ) | `[static]`

Definition at line 42 of file HeaderUtils.class.php.

References getURI().

Here is the call graph for this function:

static HeaderUtils::getURI | ( |  | ) | `[static, private]`

Definition at line 134 of file HeaderUtils.class.php.

Referenced by getParsedURI().

static HeaderUtils::isHeaderSent | ( |  | ) | `[static]`

Definition at line 109 of file HeaderUtils.class.php.

static HeaderUtils::isRedirectSent | ( |  | ) | `[static]`

Definition at line 119 of file HeaderUtils.class.php.

static HeaderUtils::redirectBack | ( |  | ) | `[static]`

Definition at line 31 of file HeaderUtils.class.php.

static HeaderUtils::redirectRaw | ( | $ | url | ) | `[static]`

Definition at line 23 of file HeaderUtils.class.php.

Referenced by CleanRedirectView::render().

static HeaderUtils::sendCachedHeader | ( |  | ) | `[static]`

Definition at line 66 of file HeaderUtils.class.php.

static HeaderUtils::sendContentLength | ( | $ | length | ) | `[static]`

Definition at line 91 of file HeaderUtils.class.php.

References Assert::isInteger().

Here is the call graph for this function:

static HeaderUtils::sendHttpStatus | ( | HttpStatus $ | status | ) | `[static]`

Definition at line 102 of file HeaderUtils.class.php.

References HttpStatus::toString().

Here is the call graph for this function:

static HeaderUtils::sendNotCachedHeader | ( |  | ) | `[static]`

Definition at line 79 of file HeaderUtils.class.php.

static HeaderUtils::setCacheLifeTime | ( | $ | cacheLifeTime | ) | `[static]`

Definition at line 124 of file HeaderUtils.class.php.

References $cacheLifeTime.

## Member Data Documentation

HeaderUtils::$cacheLifeTime = 3600`[static, private]`

Definition at line 21 of file HeaderUtils.class.php.

Referenced by setCacheLifeTime().

HeaderUtils::$headerSent = false`[static, private]`

Definition at line 19 of file HeaderUtils.class.php.

HeaderUtils::$redirectSent = false`[static, private]`

Definition at line 20 of file HeaderUtils.class.php.

The documentation for this class was generated from the following file:

- main/Net/Http/HeaderUtils.class.php